Index: /doc/latex/classbdm_1_1ArxDS__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1ArxDS__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1ArxDS__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 478 578
+%%PageBoundingBox: 36 36 478 574
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 442 542 boxprim clip newpath
+36 36 442 538 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -208,5 +208,5 @@
 % Node2
 gsave
-[ /Rect [ 0 367 58 387 ]
+[ /Rect [ 0 365 58 385 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1DS.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 366 moveto
-0 387 lineto
-58 387 lineto
-58 366 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 366 moveto
-0 387 lineto
-58 387 lineto
-58 366 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-8 373.5 moveto 42 (bdm::DS) alignedtext
+newpath 0 364 moveto
+0 385 lineto
+58 385 lineto
+58 364 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 364 moveto
+0 385 lineto
+58 385 lineto
+58 364 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 371.5 moveto 42 (bdm::DS) alignedtext
 grestore
 % Node2->Node1
@@ -236,25 +236,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 31 356 moveto
-33 341 35 321 35 303 curveto
+newpath 32 354 moveto
+33 340 35 320 35 303 curveto
 35 303 35 303 35 83 curveto
 35 53 67 32 91 21 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 27.51 355.7 moveto
-30 366 lineto
-34.48 356.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 27.51 355.7 moveto
-30 366 lineto
-34.48 356.4 lineto
+newpath 28.51 353.7 moveto
+31 364 lineto
+35.48 354.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 28.51 353.7 moveto
+31 364 lineto
+35.48 354.4 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 118 513 202 533 ]
+[ /Rect [ 118 509 202 529 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -262,20 +262,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 118 512 moveto
-118 533 lineto
-203 533 lineto
-203 512 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 118 512 moveto
-118 533 lineto
-203 533 lineto
-203 512 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-125.5 519.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 118 508 moveto
+118 529 lineto
+203 529 lineto
+203 508 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 118 508 moveto
+118 529 lineto
+203 529 lineto
+203 508 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+125.5 515.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node3->Node2
@@ -284,24 +284,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 125 507 moveto
-96 493 57 468 37 434 curveto
-29 419 28 399 28 387 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 123.56 510.2 moveto
-134 512 lineto
-126.96 504.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 123.56 510.2 moveto
-134 512 lineto
-126.96 504.08 lineto
+newpath 125 503 moveto
+96 489 57 464 37 430 curveto
+29 416 28 397 28 385 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 123.56 506.2 moveto
+134 508 lineto
+126.96 500.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 123.56 506.2 moveto
+134 508 lineto
+126.96 500.08 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 96 453 152 473 ]
+[ /Rect [ 96 449 152 469 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -309,20 +309,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 96 452 moveto
-96 473 lineto
-152 473 lineto
-152 452 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 96 452 moveto
-96 473 lineto
-152 473 lineto
-152 452 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-104 459.5 moveto 40 (bdm::RV) alignedtext
+newpath 96 448 moveto
+96 469 lineto
+152 469 lineto
+152 448 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 96 448 moveto
+96 469 lineto
+152 469 lineto
+152 448 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+104 455.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node3->Node4
@@ -331,18 +331,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 148 503 moveto
-142 493 135 481 130 473 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 145.08 504.96 moveto
-153 512 lineto
-151.2 501.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 145.08 504.96 moveto
-153 512 lineto
-151.2 501.56 lineto
+newpath 148 499 moveto
+142 489 135 477 130 469 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 145.08 500.96 moveto
+153 508 lineto
+151.2 497.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 145.08 500.96 moveto
+153 508 lineto
+151.2 497.56 lineto
 closepath stroke
 grestore
@@ -377,23 +377,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 162 502 moveto
-165 456 174 347 177 313 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 158.51 501.7 moveto
-161 512 lineto
-165.48 502.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158.51 501.7 moveto
-161 512 lineto
-165.48 502.4 lineto
+newpath 162 498 moveto
+166 452 174 346 177 313 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.51 497.7 moveto
+161 508 lineto
+165.48 498.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.51 497.7 moveto
+161 508 lineto
+165.48 498.4 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 209 367 273 387 ]
+[ /Rect [ 209 365 273 385 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -401,20 +401,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 209 366 moveto
-209 387 lineto
-274 387 lineto
-274 366 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 209 366 moveto
-209 387 lineto
-274 387 lineto
-274 366 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-216.5 373.5 moveto 49 (bdm::epdf) alignedtext
+newpath 209 364 moveto
+209 385 lineto
+274 385 lineto
+274 364 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 209 364 moveto
+209 385 lineto
+274 385 lineto
+274 364 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+216.5 371.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node3->Node8
@@ -423,19 +423,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 185 505 moveto
-188 502 192 498 195 494 curveto
-220 459 234 408 239 387 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 182.22 502.78 moveto
-177 512 lineto
-186.83 508.05 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 182.22 502.78 moveto
-177 512 lineto
-186.83 508.05 lineto
+newpath 185 501 moveto
+188 498 192 494 195 490 curveto
+220 456 233 406 239 385 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 182.22 498.78 moveto
+177 508 lineto
+186.83 504.05 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 182.22 498.78 moveto
+177 508 lineto
+186.83 504.05 lineto
 closepath stroke
 grestore
@@ -445,20 +445,20 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 110 444 moveto
-99 427 86 401 86 377 curveto
-86 377 86 377 86 83 curveto
+newpath 109 440 moveto
+99 423 86 399 86 375 curveto
+86 375 86 375 86 83 curveto
 86 59 100 35 110 21 curveto
 stroke
 0.776 0.753 0.804 edgecolor
-newpath 107.2 446.1 moveto
-116 452 lineto
-112.8 441.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 107.2 446.1 moveto
-116 452 lineto
-112.8 441.9 lineto
+newpath 106.2 442.1 moveto
+115 448 lineto
+111.8 437.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 106.2 442.1 moveto
+115 448 lineto
+111.8 437.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
@@ -474,26 +474,26 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 86 453 moveto
-75 449 64 443 55 434 curveto
-42 421 35 399 31 387 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 85.42 456.48 moveto
-96 456 lineto
-87.43 449.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 85.42 456.48 moveto
-96 456 lineto
-87.43 449.77 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-59.5 425 moveto 17 (Urv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-59.5 412 moveto 17 (Drv) alignedtext
+newpath 86 449 moveto
+75 445 64 439 55 430 curveto
+42 417 35 397 32 385 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 85.42 452.48 moveto
+96 452 lineto
+87.43 445.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 85.42 452.48 moveto
+96 452 lineto
+87.43 445.77 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+60.5 421 moveto 17 (Urv) alignedtext
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+60.5 408 moveto 17 (Drv) alignedtext
 grestore
 % Node4->Node7
@@ -502,26 +502,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 130 442 moveto
-135 422 144 390 153 364 curveto
+newpath 130 438 moveto
+135 419 145 389 153 364 curveto
 160 346 168 325 173 313 curveto
 stroke
 0.776 0.753 0.804 edgecolor
-newpath 126.52 441.42 moveto
-127 452 lineto
-133.23 443.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 126.52 441.42 moveto
-127 452 lineto
-133.23 443.43 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-155.5 381 moveto 9 (rv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-153 368 moveto 14 (rvc) alignedtext
+newpath 126.52 437.42 moveto
+127 448 lineto
+133.23 439.43 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 126.52 437.42 moveto
+127 448 lineto
+133.23 439.43 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+153 372.5 moveto 14 (rvc) alignedtext
 grestore
 % Node4->Node8
@@ -530,22 +527,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 147 446 moveto
-171 428 207 401 227 387 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 144.9 443.2 moveto
-139 452 lineto
-149.1 448.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 144.9 443.2 moveto
-139 452 lineto
-149.1 448.8 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-197.5 418.5 moveto 9 (rv) alignedtext
+newpath 148 442 moveto
+172 425 207 399 227 385 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 145.9 439.2 moveto
+140 448 lineto
+150.1 444.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 145.9 439.2 moveto
+140 448 lineto
+150.1 444.8 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+198.5 414.5 moveto 9 (rv) alignedtext
 grestore
 % Node5
@@ -717,22 +714,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 225 358 moveto
-213 344 197 325 187 313 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 222.2 360.1 moveto
-231 366 lineto
-227.8 355.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 222.2 360.1 moveto
-231 366 lineto
-227.8 355.9 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-214 336.5 moveto 12 (ep) alignedtext
+newpath 224 356 moveto
+212 342 196 325 187 313 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 221.78 358.78 moveto
+231 364 lineto
+227.05 354.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 221.78 358.78 moveto
+231 364 lineto
+227.05 354.17 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+215 336.5 moveto 12 (ep) alignedtext
 grestore
 % Node10
@@ -766,18 +763,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 262 359 moveto
+newpath 262 358 moveto
 279 344 301 325 315 313 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 259.22 356.78 moveto
-254 366 lineto
-263.83 362.05 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 259.22 356.78 moveto
-254 366 lineto
-263.83 362.05 lineto
+newpath 259.9 355.2 moveto
+254 364 lineto
+264.1 360.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 259.9 355.2 moveto
+254 364 lineto
+264.1 360.8 lineto
 closepath stroke
 grestore
@@ -812,23 +809,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 327 140 moveto
-307 131 282 121 260 112 curveto
-243 105 225 98 210 93 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 325.44 143.14 moveto
-336 144 lineto
-328.28 136.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 325.44 143.14 moveto
-336 144 lineto
-328.28 136.74 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-296.5 116.5 moveto 21 (epdf) alignedtext
+newpath 325 140 moveto
+305 131 280 121 258 112 curveto
+242 105 224 98 209 93 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 323.44 143.14 moveto
+334 144 lineto
+326.28 136.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 323.44 143.14 moveto
+334 144 lineto
+326.28 136.74 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+292.5 116.5 moveto 21 (epdf) alignedtext
 grestore
 % Node10->Node9
@@ -1086,11 +1083,11 @@
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-202.5 116.5 moveto 53 (< chmat >) alignedtext
+200.5 116.5 moveto 53 (< chmat >) alignedtext
 grestore
 % Node16
 gsave
-[ /Rect [ 266 73 370 93 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1datalink__e2e.html) >>
+[ /Rect [ 266 73 346 93 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classbdm_1_1datalink.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -1098,6 +1095,6 @@
 newpath 266 72 moveto
 266 93 lineto
-371 93 lineto
-371 72 lineto
+347 93 lineto
+347 72 lineto
 closepath fill
 1 setlinewidth
@@ -1106,10 +1103,10 @@
 newpath 266 72 moveto
 266 93 lineto
-371 93 lineto
-371 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-273.5 79.5 moveto 89 (bdm::datalink_e2e) alignedtext
+347 93 lineto
+347 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+273.5 79.5 moveto 65 (bdm::datalink) alignedtext
 grestore
 % Node16->Node1
@@ -1118,22 +1115,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 277 69 moveto
-238 54 180 33 146 21 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 276.42 72.48 moveto
-287 72 lineto
-278.43 65.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 276.42 72.48 moveto
-287 72 lineto
-278.43 65.77 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-240.5 44.5 moveto 27 (rgrlnk) alignedtext
+newpath 267 68 moveto
+230 54 176 33 144 21 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 266.42 71.54 moveto
+277 72 lineto
+269.02 65.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 266.42 71.54 moveto
+277 72 lineto
+269.02 65.04 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+233.5 44.5 moveto 27 (rgrlnk) alignedtext
 grestore
 endpage
@@ -1144,5 +1141,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 478 578
+%%BoundingBox: 36 36 478 574
 end
 restore
Index: /doc/latex/libDS__ui_8h__incl.dot
===================================================================
--- /doc/latex/libDS__ui_8h__incl.dot (revision 264)
+++ /doc/latex/libDS__ui_8h__incl.dot (revision 270)
@@ -12,22 +12,24 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node1 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
-  Node9 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
-  Node10 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node10 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
-  Node9 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
-  Node11 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node11 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node1 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
+  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
+  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node11 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
-  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid"];
-  Node12 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid"];
+  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node12 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node12 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
+  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid"];
+  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
 }
Index: /doc/latex/classbdm_1_1BMEF__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1BMEF__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1BMEF__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 150 270
+%%PageBoundingBox: 36 36 150 258
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 114 234 boxprim clip newpath
+36 36 114 222 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -254,5 +254,5 @@
 % Node3
 gsave
-[ /Rect [ 0 205 84 225 ]
+[ /Rect [ 0 193 84 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -260,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 204 moveto
-0 225 lineto
-85 225 lineto
-85 204 lineto
+newpath 0 192 moveto
+0 213 lineto
+85 213 lineto
+85 192 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 204 moveto
-0 225 lineto
-85 225 lineto
-85 204 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 211.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 0 192 moveto
+0 213 lineto
+85 213 lineto
+85 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 199.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node3->Node2
@@ -282,23 +282,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 42 194 moveto
-41 162 39 104 38 81 curveto
+newpath 42 182 moveto
+41 153 39 102 38 81 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 38.5 194 moveto
-42 204 lineto
-45.5 194 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 38.5 194 moveto
-42 204 lineto
-45.5 194 lineto
+newpath 38.5 182 moveto
+42 192 lineto
+45.5 182 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 38.5 182 moveto
+42 192 lineto
+45.5 182 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 50 145 106 165 ]
+[ /Rect [ 50 133 106 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 50 144 moveto
-50 165 lineto
-106 165 lineto
-106 144 lineto
+newpath 50 132 moveto
+50 153 lineto
+106 153 lineto
+106 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 50 144 moveto
-50 165 lineto
-106 165 lineto
-106 144 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-58 151.5 moveto 40 (bdm::RV) alignedtext
+newpath 50 132 moveto
+50 153 lineto
+106 153 lineto
+106 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+58 139.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node3->Node4
@@ -328,18 +328,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 54 195 moveto
-60 185 67 173 72 165 curveto
+newpath 54 183 moveto
+60 173 67 161 72 153 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 50.8 193.56 moveto
-49 204 lineto
-56.92 196.96 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 50.8 193.56 moveto
-49 204 lineto
-56.92 196.96 lineto
+newpath 50.8 181.56 moveto
+49 192 lineto
+56.92 184.96 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 50.8 181.56 moveto
+49 192 lineto
+56.92 184.96 lineto
 closepath stroke
 grestore
@@ -349,25 +349,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 69 135 moveto
-60 118 49 94 43 81 curveto
+newpath 67 123 moveto
+59 110 50 92 44 81 curveto
 stroke
 0.776 0.753 0.804 edgecolor
-newpath 65.74 136.28 moveto
-73 144 lineto
-72.14 133.44 lineto
+newpath 64.08 124.96 moveto
+72 132 lineto
+70.2 121.56 lineto
 closepath fill
 1 setlinewidth
 solid
 0.776 0.753 0.804 edgecolor
-newpath 65.74 136.28 moveto
-73 144 lineto
-72.14 133.44 lineto
+newpath 64.08 124.96 moveto
+72 132 lineto
+70.2 121.56 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-62.5 117 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-65.5 104 moveto 9 (rv) alignedtext
+61.5 104.5 moveto 15 (drv) alignedtext
 grestore
 endpage
@@ -378,5 +375,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 150 270
+%%BoundingBox: 36 36 150 258
 end
 restore
Index: /doc/latex/emix_8h__incl.eps
===================================================================
--- /doc/latex/emix_8h__incl.eps (revision 261)
+++ /doc/latex/emix_8h__incl.eps (revision 270)
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node5
+% Node6
 gsave
 [ /Rect [ 53 233 97 253 ]
@@ -277,5 +277,5 @@
 60.5 239.5 moveto 29 (libEF.h) alignedtext
 grestore
-% Node1->Node5
+% Node1->Node6
 gsave
 1 setlinewidth
@@ -300,5 +300,5 @@
 % Node3
 gsave
-[ /Rect [ 38 59 110 79 ]
+[ /Rect [ 23 59 95 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 38 58 moveto
-38 79 lineto
-110 79 lineto
-110 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 38 58 moveto
-38 79 lineto
-110 79 lineto
-110 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-46 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 23 58 moveto
+23 79 lineto
+95 79 lineto
+95 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 23 58 moveto
+23 79 lineto
+95 79 lineto
+95 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+31 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node2->Node3
@@ -328,18 +328,60 @@
 solid
 0.667 0.776 0.439 edgecolor
+newpath 23 174 moveto
+20 160 18 135 24 116 curveto
+28 106 35 95 41 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.05 88.83 moveto
+48 79 lineto
+38.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.05 88.83 moveto
+48 79 lineto
+38.78 84.22 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 33 116 moveto
+33 137 lineto
+71 137 lineto
+71 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 33 116 moveto
+33 137 lineto
+71 137 lineto
+71 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+41 123.5 moveto 22 (map) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
 newpath 30 174 moveto
-38 155 56 113 66 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 69.14 89.56 moveto
-70 79 lineto
-62.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 69.14 89.56 moveto
-70 79 lineto
-62.74 86.72 lineto
+34 166 39 155 43 146 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 46.14 147.56 moveto
+47 137 lineto
+39.74 144.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 46.14 147.56 moveto
+47 137 lineto
+39.74 144.72 lineto
 closepath stroke
 grestore
@@ -347,20 +389,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 37 0 moveto
-37 21 lineto
-112 21 lineto
-112 0 lineto
+newpath 22 0 moveto
+22 21 lineto
+97 21 lineto
+97 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 37 0 moveto
-37 21 lineto
-112 21 lineto
-112 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-44.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 22 0 moveto
+22 21 lineto
+97 21 lineto
+97 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+29.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node3->Node4
@@ -369,21 +411,21 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 74 58 moveto
-74 50 74 40 74 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 77.5 31 moveto
-74 21 lineto
-70.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 77.5 31 moveto
-74 21 lineto
-70.5 31 lineto
-closepath stroke
-grestore
-% Node5->Node2
+newpath 59 58 moveto
+59 50 59 40 59 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.5 31 moveto
+59 21 lineto
+55.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.5 31 moveto
+59 21 lineto
+55.5 31 lineto
+closepath stroke
+grestore
+% Node6->Node2
 gsave
 1 setlinewidth
@@ -406,5 +448,5 @@
 closepath stroke
 grestore
-% Node6
+% Node7
 gsave
 [ /Rect [ 68 175 160 195 ]
@@ -431,5 +473,5 @@
 75.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node5->Node6
+% Node6->Node7
 gsave
 1 setlinewidth
@@ -452,7 +494,7 @@
 closepath stroke
 grestore
-% Node7
-gsave
-[ /Rect [ 80 117 130 137 ]
+% Node8
+gsave
+[ /Rect [ 89 117 139 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -460,61 +502,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 80 116 moveto
-80 137 lineto
-130 137 lineto
-130 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 80 116 moveto
-80 137 lineto
-130 137 lineto
-130 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-88 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112 174 moveto
-111 166 110 156 108 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 111.48 146.6 moveto
-107 137 lineto
-104.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 111.48 146.6 moveto
-107 137 lineto
-104.51 147.3 lineto
-closepath stroke
-grestore
-% Node7->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 99 116 moveto
-95 108 89 97 84 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 86.92 86.04 moveto
-79 79 lineto
-80.8 89.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 86.92 86.04 moveto
-79 79 lineto
-80.8 89.44 lineto
+newpath 89 116 moveto
+89 137 lineto
+139 137 lineto
+139 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 89 116 moveto
+89 137 lineto
+139 137 lineto
+139 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+97 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114 174 moveto
+114 166 114 156 114 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 117.5 147 moveto
+114 137 lineto
+110.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 117.5 147 moveto
+114 137 lineto
+110.5 147 lineto
+closepath stroke
+grestore
+% Node8->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103 116 moveto
+95 107 84 96 75 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 77.55 83.6 moveto
+68 79 lineto
+72.6 88.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 77.55 83.6 moveto
+68 79 lineto
+72.6 88.55 lineto
 closepath stroke
 grestore
